Update C++14 build bot to C++17

Description

From discussion on ICU-21108, the most important aspect is that we have build bots that compile with >= C++11.

However, it seems like we should use C+17 as it is mostly a superset of C+14.

Assignee

Jeff Genovy

Reporter

Jeff Genovy

Components

Labels

None

Reviewer

None

Priority

minor

Time Needed

None

Fix versions

Configure